# $Revision: 1.15 $, $Date: 2008/12/06 15:18:36 $
%define		mod_name	rpaf
%define 	apxs		%{_sbindir}/apxs
Summary:	Reverse proxy add forward module for Apache2
Summary(pl.UTF-8):	Moduł Apache'a 2 dodający przekazywanie dla odwrotnych proxy
Name:		apache-mod_%{mod_name}
Version:	0.6
Release:	2
License:	Apache
Group:		Networking/Daemons/HTTP
Source0:	http://stderr.net/apache/rpaf/download/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	ba2b89274e1dd4c0f96f8d034fa305b1
Source1:	%{name}.conf
Patch0:		mod_rpaf_degtine.patch
URL:		http://stderr.net/apache/rpaf/
BuildRequires:	apache-devel >= 2.2.10
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
Provides:	apache(mod_rpaf)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
rpaf is for backend Apache servers what mod_proxy_add_forward is for
frontend Apache servers. It does excactly the opposite of
mod_proxy_add_forward written by Ask Bjoern Hansen. It will also work
with mod_proxy that is distributed with Apache2 from version 2.0.36.

%description -l en.UTF-8
rpaf is for backend Apache servers what mod_proxy_add_forward is for
frontend Apache servers. It does excactly the opposite of
mod_proxy_add_forward written by Ask Bjørn Hansen. It will also work
with mod_proxy that is distributed with Apache2 from version 2.0.36.

%description -l pl.UTF-8
rpaf jest dla backendowych serwerów Apache tym, czym
mod_proxy_add_forward jest dla frontendowych. Wykonuje dokładnie
przeciwne operacje do mod_proxy_add_forward napisanego przez Aska
Bjorna Hansena. Będzie także działać z mod_proxy w Apache'u 2
począwszy od wersji 2.0.36.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p1
mv -f mod_%{mod_name}{-2.0,}.c

%build
%{apxs} -S CC="%{__cc}" -c -n mod_%{mod_name}.o mod_%{mod_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}
install .libs/mod_rpaf.so $RPM_BUILD_ROOT%{_pkglibdir}/mod_%{mod_name}.so
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/99_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc README CHANGES
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_rpaf.spec,v $
Revision 1.15  2008/12/06 15:18:36  areq
- /etc/http/httpd.conf/ =>  /etc/http//conf.d/
- rel 2

Revision 1.14  2008/11/19 15:40:48  areq
- 0.6

Revision 1.13  2008/10/25 15:50:03  blues
- HTTP group

Revision 1.12  2007/09/27 10:19:16  glen
- mod_rpaf patched to allow multiple chained proxies (needed to use pound balancer) (by alpha)
- rel 4

Revision 1.11  2007/09/05 21:09:17  glen
- rename module to mod_rpaf.c; rel 3

Revision 1.10  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:37  baggins
- converted to UTF-8

Revision 1.8  2007/02/08 14:15:07  glen
- Provide apache(mod_rpaf); rel 2

Revision 1.7  2006/01/19 14:21:49  glen
- fixed config, use %service; rel 1

Revision 1.6  2005/12/27 00:46:35  glen
- unified

Revision 1.5  2005/12/19 13:53:39  glen
- R: apache modules-api
- pass CC to apxs to avoid using compiler used for apache building

Revision 1.4  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.3  2005/10/24 20:15:57  glen
- typo?

Revision 1.2  2005/10/24 20:14:11  qboosh
- updated pl, avoid non-ascii chars in C desc

Revision 1.1  2005/10/24 10:26:56  glen
- based on apache1-mod_rpaf.spec
